
menu.texture_load_type = 2;//初期化時全部

menu.xStep = 1;
menu.yStep = 1;

menu.nXPos = -1;
menu.nYPos = -1;
menu.nXDif = 0;
menu.nYDif = 0;
s_med.med.a3itemEnableManualOverride( true );

//========== コンテンツ設定 ==========//
//スクリーン最大数
menu.screen_num = 7;
//１スクリーン当りのoffset範囲
menu.screen_xoffset = 100;
//スクリーン位置（１起算）
menu.screen = 1;

//a3tのフレーム数---------------------------------------★
//menu.a3_frame = 64;
menu.a3_frame = 158;

//a3tのＦＰＳ
menu.a3_fps   = 30;


//========== ローカル使用 ==========//
//現在のスクリーンのオフセット値
menu.center_offset = 0;

//初期化要求
System.exec("system.Kisekae.initContents");
//
//menu.around_offset = menu.screen_xoffset * 2;
menu.around_offset = menu.screen_xoffset * 6;

//テクスチャ設定
System.exec("system.Kisekae.setA3Texture.med." + menu.screen);
//move(menu.screen_xoffset*(menu.screen-1));
NotifyScreenChanged(menu.screen);




function callbackPosX( nX )
{
    menu.nXPos = nX;
}

function callbackPosY( nY )
{
    menu.nYPos = nY;
}

function callbackDiffX( nX )
{
    menu.nXDif += nX;
}

function callbackDiffY( nY )
{
    menu.nYDif += nY;
}

function callbackFlickSpeed( nSpeed )
{
}

function down()
{
}

function effect_end()
{
}

function popup_callback()
{
}

function click()
{
}

function drag()
{
}

function drop()
{
}

function flick(index, type)
{
}


function NotifyScreenOffsets( valu )
{
	xOffset = ( valu & 0xFFFF );
	yOffset = ( valu >> 16 );

	move( xOffset );
}

function NotifyScreenOffsetSteps( valu )
{
	menu.xStep = ( valu & 0xFFFF );
	menu.yStep = ( valu >> 16 );
}

function NotifyScreenChanged( valu )
{
	var nextScreen = ( valu & 0xFFFF );
	var prevScreen = ( (valu >> 16) & 0xFFFF );
	//System.outputDebugString("NotifyScreenChanged: screen " + prevScreen + " -> " + nextScreen);
	if(nextScreen > 0)System.exec("system.Kisekae.setA3Texture.med." + (nextScreen - 1));
	System.exec("system.Kisekae.setA3Texture.med." + nextScreen);
	if(nextScreen < menu.screen_num)System.exec("system.Kisekae.setA3Texture.med." + (nextScreen + 1));
	menu.screen = nextScreen;
	menu.center_offset   = menu.screen * menu.screen_xoffset - menu.screen_xoffset;
	//反映させる（不要かも）
	move(menu.center_offset);
}


function move( nOffset )
{
	var offset = nOffset;
	var time = 0;

	//System.outputDebugString("offset,center,screen_xoffset=" + nOffset + "," + menu.center_offset + "," + menu.screen_xoffset + "\n");

	if (offset >= menu.center_offset + menu.screen_xoffset) {
			System.outputDebugString("********** offset is over ! change screen " + menu.screen + " -> " + (menu.screen + 1));
			NotifyScreenChanged( 0xffff0000 | (menu.screen + 1));
			return;
	}
	else if (offset <= menu.center_offset - menu.screen_xoffset) {
			System.outputDebugString("********** offset is over ! change screen " + menu.screen + " -> " + (menu.screen - 1));
			NotifyScreenChanged( 0xffff0000 | (menu.screen - 1));
			return;
	}

	//System.outputDebugString("offset,center,roffset=" + nOffset + "," + menu.center_offset + "," + offset + "\n");
	time = offset * menu.a3_frame / menu.a3_fps * 0x10000 / menu.around_offset;
	//System.outputDebugString("offset:" + offset + " time=" + time + "\n");


    s_med.med.a3itemSetTime( 'Plane01',time );
    s_med.med.a3itemSetTime( 'plate01',time );
    s_med.med.a3itemSetTime( 'plate02',time );
    s_med.med.a3itemSetTime( 'plate03',time );
    s_med.med.a3itemSetTime( 'plate04',time );
    s_med.med.a3itemSetTime( 'plate05',time );
    s_med.med.a3itemSetTime( 'plate06',time );
    s_med.med.a3itemSetTime( 'plate07',time );
    s_med.med.a3itemSetTime( 'plate08',time );
    s_med.med.a3itemSetTime( 'plate09',time );
    s_med.med.a3itemSetTime( 'plate10',time );
    s_med.med.a3itemSetTime( 'plate11',time );
    s_med.med.a3itemSetTime( 'plate12',time );
    s_med.med.a3itemSetTime( 'plate13',time );
    s_med.med.a3itemSetTime( 'plate14',time );
    s_med.med.a3itemSetTime( 'plate15',time );
    s_med.med.a3itemSetTime( 'plate16',time );
    s_med.med.a3itemSetTime( 'plate17',time );
    s_med.med.a3itemSetTime( 'plate18',time );
    s_med.med.a3itemSetTime( 'plate19',time );
    s_med.med.a3itemSetTime( 'plate20',time );
    s_med.med.a3itemSetTime( 'plate21',time );
    s_med.med.a3itemSetTime( 'plate22',time );
    s_med.med.a3itemSetTime( 'plate23',time );
    s_med.med.a3itemSetTime( 'plate24',time );
    s_med.med.a3itemSetTime( 'plate25',time );
    s_med.med.a3itemSetTime( 'plate26',time );
    s_med.med.a3itemSetTime( 'plate27',time );
    s_med.med.a3itemSetTime( 'plate28',time );
    s_med.med.a3itemSetTime( 'plate29',time );
    s_med.med.a3itemSetTime( 'plate30',time );
    s_med.med.a3itemSetTime( 'plate31',time );
    s_med.med.a3itemSetTime( 'plate32',time );
    s_med.med.a3itemSetTime( 'plate33',time );
    s_med.med.a3itemSetTime( 'plate34',time );
    s_med.med.a3itemSetTime( 'plate35',time );
    s_med.med.a3itemSetTime( 'plate36',time );
    s_med.med.a3itemSetTime( 'plate37',time );
    s_med.med.a3itemSetTime( 'plate38',time );
    s_med.med.a3itemSetTime( 'plate39',time );
    s_med.med.a3itemSetTime( 'plate40',time );
    s_med.med.a3itemSetTime( 'plate41',time );
    s_med.med.a3itemSetTime( 'plate42',time );
    s_med.med.a3itemSetTime( 'plate43',time );
    s_med.med.a3itemSetTime( 'plate44',time );
    s_med.med.a3itemSetTime( 'plate45',time );
    s_med.med.a3itemSetTime( 'plate46',time );
    s_med.med.a3itemSetTime( 'plate47',time );
    s_med.med.a3itemSetTime( 'plate48',time );
    s_med.med.a3itemSetTime( 'plate49',time );
    s_med.med.a3itemSetTime( 'plate50',time );
    s_med.med.a3itemSetTime( 'plate51',time );
    s_med.med.a3itemSetTime( 'plate52',time );
    s_med.med.a3itemSetTime( 'plate53',time );
    s_med.med.a3itemSetTime( 'plate54',time );
    s_med.med.a3itemSetTime( 'plate55',time );
    s_med.med.a3itemSetTime( 'plate56',time );
    s_med.med.a3itemSetTime( 'plate57',time );
    s_med.med.a3itemSetTime( 'plate58',time );
    s_med.med.a3itemSetTime( 'plate59',time );
    s_med.med.a3itemSetTime( 'plate60',time );
    s_med.med.a3itemSetTime( 'plate61',time );
    s_med.med.a3itemSetTime( 'plate62',time );
    s_med.med.a3itemSetTime( 'plate63',time );
    s_med.med.a3itemSetTime( 'plate64',time );
    s_med.med.a3itemSetTime( 'plate65',time );
    s_med.med.a3itemSetTime( 'plate66',time );
    s_med.med.a3itemSetTime( 'plate67',time );
    s_med.med.a3itemSetTime( 'plate68',time );
    s_med.med.a3itemSetTime( 'plate69',time );
    s_med.med.a3itemSetTime( 'plate70',time );
    s_med.med.a3itemSetTime( 'plate71',time );
    s_med.med.a3itemSetTime( 'plate72',time );
    s_med.med.a3itemSetTime( 'plate73',time );
    s_med.med.a3itemSetTime( 'plate74',time );
    s_med.med.a3itemSetTime( 'plate75',time );
    s_med.med.a3itemSetTime( 'plate76',time );
    s_med.med.a3itemSetTime( 'plate77',time );
    s_med.med.a3itemSetTime( 'plate78',time );
    s_med.med.a3itemSetTime( 'plate79',time );
    s_med.med.a3itemSetTime( 'plate80',time );
    s_med.med.a3itemSetTime( 'plate81',time );
    s_med.med.a3itemSetTime( 'plate82',time );
    s_med.med.a3itemSetTime( 'plate83',time );
    s_med.med.a3itemSetTime( 'plate84',time );
    s_med.med.a3itemSetTime( 'plate85',time );
    s_med.med.a3itemSetTime( 'plate86',time );
    s_med.med.a3itemSetTime( 'plate87',time );
    s_med.med.a3itemSetTime( 'plate88',time );
    s_med.med.a3itemSetTime( 'plate89',time );
    s_med.med.a3itemSetTime( 'plate90',time );
    s_med.med.a3itemSetTime( 'plate91',time );
    s_med.med.a3itemSetTime( 'plate92',time );
//    s_med.med.a3itemSetTime( 'plate93',time );
//    s_med.med.a3itemSetTime( 'plate94',time );
//    s_med.med.a3itemSetTime( 'plate95',time );
//    s_med.med.a3itemSetTime( 'plate96',time );
//    s_med.med.a3itemSetTime( 'plate97',time );
//    s_med.med.a3itemSetTime( 'plate98',time );
//    s_med.med.a3itemSetTime( 'plate99',time );
//    s_med.med.a3itemSetTime( 'plate100',time );
//    s_med.med.a3itemSetTime( 'plate101',time );
//    s_med.med.a3itemSetTime( 'plate102',time );
//    s_med.med.a3itemSetTime( 'plate103',time );
//    s_med.med.a3itemSetTime( 'plate104',time );
//    s_med.med.a3itemSetTime( 'plate105',time );
//    s_med.med.a3itemSetTime( 'plate106',time );
//    s_med.med.a3itemSetTime( 'plate107',time );
//    s_med.med.a3itemSetTime( 'plate108',time );
//    s_med.med.a3itemSetTime( 'plate109',time );
//    s_med.med.a3itemSetTime( 'plate110',time );
//    s_med.med.a3itemSetTime( 'plate111',time );
//    s_med.med.a3itemSetTime( 'plate112',time );
//    s_med.med.a3itemSetTime( 'plate113',time );
//    s_med.med.a3itemSetTime( 'plate114',time );
//    s_med.med.a3itemSetTime( 'plate115',time );
//    s_med.med.a3itemSetTime( 'plate116',time );
//    s_med.med.a3itemSetTime( 'plate117',time );
//    s_med.med.a3itemSetTime( 'plate118',time );
//    s_med.med.a3itemSetTime( 'plate119',time );
//    s_med.med.a3itemSetTime( 'plate120',time );
//    s_med.med.a3itemSetTime( 'plate121',time );
//    s_med.med.a3itemSetTime( 'plate122',time );
//    s_med.med.a3itemSetTime( 'plate123',time );
//    s_med.med.a3itemSetTime( 'plate124',time );
//    s_med.med.a3itemSetTime( 'plate125',time );
//    s_med.med.a3itemSetTime( 'plate126',time );
//    s_med.med.a3itemSetTime( 'plate127',time );
//    s_med.med.a3itemSetTime( 'plate128',time );
//    s_med.med.a3itemSetTime( 'plate129',time );
//    s_med.med.a3itemSetTime( 'plate130',time );
//    s_med.med.a3itemSetTime( 'plate131',time );
//    s_med.med.a3itemSetTime( 'plate132',time );
//    s_med.med.a3itemSetTime( 'plate133',time );
//    s_med.med.a3itemSetTime( 'plate134',time );
//   s_med.med.a3itemSetTime( 'plate135',time );
//   s_med.med.a3itemSetTime( 'plate136',time );
//   s_med.med.a3itemSetTime( 'plate137',time );
//   s_med.med.a3itemSetTime( 'plate138',time );
    s_med.med.a3itemSetTime( 'plate139',time );
    s_med.med.a3itemSetTime( 'plate140',time );
    s_med.med.a3itemSetTime( 'plate141',time );
    s_med.med.a3itemSetTime( 'plate142',time );
    s_med.med.a3itemSetTime( 'plate143',time );
    s_med.med.a3itemSetTime( 'plate144',time );
    s_med.med.a3itemSetTime( 'plate145',time );
    s_med.med.a3itemSetTime( 'plate146',time );
    s_med.med.a3itemSetTime( 'plate147',time );
    s_med.med.a3itemSetTime( 'plate148',time );
    s_med.med.a3itemSetTime( 'plate149',time );
    s_med.med.a3itemSetTime( 'plate150',time );
    s_med.med.a3itemSetTime( 'plate151',time );
    s_med.med.a3itemSetTime( 'plate152',time );
    s_med.med.a3itemSetTime( 'plate153',time );
    s_med.med.a3itemSetTime( 'plate154',time );
    s_med.med.a3itemSetTime( 'plate155',time );
    s_med.med.a3itemSetTime( 'plate156',time );
    s_med.med.a3itemSetTime( 'plate157',time );
    s_med.med.a3itemSetTime( 'plate158',time );
    s_med.med.a3itemSetTime( 'plate159',time );
    s_med.med.a3itemSetTime( 'plate160',time );
    s_med.med.a3itemSetTime( 'plate161',time );
    s_med.med.a3itemSetTime( 'plate162',time );
    s_med.med.a3itemSetTime( 'plate163',time );
    s_med.med.a3itemSetTime( 'plate164',time );
    s_med.med.a3itemSetTime( 'plate165',time );
    s_med.med.a3itemSetTime( 'plate166',time );
    s_med.med.a3itemSetTime( 'plate167',time );
    s_med.med.a3itemSetTime( 'plate168',time );
    s_med.med.a3itemSetTime( 'plate169',time );
    s_med.med.a3itemSetTime( 'plate170',time );
    s_med.med.a3itemSetTime( 'plate171',time );
    s_med.med.a3itemSetTime( 'plate172',time );
    s_med.med.a3itemSetTime( 'plate173',time );
    s_med.med.a3itemSetTime( 'plate174',time );
    s_med.med.a3itemSetTime( 'plate175',time );
    s_med.med.a3itemSetTime( 'plate176',time );
    s_med.med.a3itemSetTime( 'plate177',time );
    s_med.med.a3itemSetTime( 'plate178',time );
    s_med.med.a3itemSetTime( 'plate179',time );
    s_med.med.a3itemSetTime( 'plate180',time );
    s_med.med.a3itemSetTime( 'plate181',time );
    s_med.med.a3itemSetTime( 'plate182',time );
    s_med.med.a3itemSetTime( 'plate183',time );
    s_med.med.a3itemSetTime( 'plate184',time );

}


function NotifyPause()
{
}

function NotifyResume()
{
}

function NotifyPauseSurface()
{
	var min = 1;
	var max = menu.screen_num;
	for(var i=min; i<=max; ++i){
		System.exec("system.Kisekae.clearA3Texture.med." + i);
	}
}

function NotifyResumeSurface()
{
	System.exec("system.Kisekae.setA3Texture.med." + menu.screen);
}
